Subject: bug#55511: 13.1.3; TeX-auto-store issues with complex paths

From: Ikumi Keita <[email-masked]>
Date: Mon, 23 May 2022 17:21:12 +0900

Hi Cyril,

>>>>> Cyril Arnould <[email-masked]> writes:
> Thanks, the patch seems to work!

Thanks for checking. I committed the change into the git repo.

> To be clear, all the .el files are still placed in the TeX-master's
> auto directory, so .tex files with the same name in different folders
> still end up overwriting each other's .el file.

Ah, I see your points. Looking at the code `TeX-auto-write', it is
hard-coded that it saves support .el files in TeX-master's auto
subdirectory actually. I think that AUCTeX can introduce a new user
option to decide whether to aggregate them in one auto directory or save
into each auto subdirectory separately.

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine